Package ru.bitel.bgbilling.kernel.network.datalog

# Class IPDataLogUtils

java.lang.Object
ru.bitel.bgbilling.kernel.network.datalog.IPDataLogUtils

public class IPDataLogUtils extends Object
util для работы с ip логами

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `IPDataLogUtils.FlowDetail`
  Класс FlowDetail.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IPDataLogUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String[] args)`
  `static Iterable<FlowArray<? extends Data>>`
  `newFlowArrayIterable(ParameterMap setup, int sourceId, Calendar hour)`
  `static Iterable<FlowArray<? extends Data>>`
  `newFlowArrayIterable(ParameterMap setup, int sourceId, Calendar hour1, Calendar hour2)`
  `static Iterable<FlowArray<IPDataLogUtils.FlowDetail>>`
  `newFlowDetailIterable(Iterable<ru.bitel.bgbilling.kernel.network.datalog.hourly.IPHourlyDataLog> logsIterable, FlowSelector selector, int maxSort)`
  Создает новый `IPDataLogUtils.FlowDetail` Iterable по логам, с выборкой записей с помощью
  invalid reference

      RowSelector

  `static Iterable<ru.bitel.bgbilling.kernel.network.datalog.FlowReader>`
  `newFlowReaderIterable(ParameterMap setup, int sourceId, Calendar hour1, Calendar hour2)`
  `static Iterable<ru.bitel.bgbilling.kernel.network.datalog.hourly.IPHourlyDataLog>`
  `newIPHourlyDataLogIterable(ParameterMap setup, int sourceId, Calendar hour1, Calendar hour2)`
  Создает новый iterable по часовым логам
  `static Iterable<ru.bitel.bgbilling.kernel.network.datalog.hourly.IPHourlyDataLog>`
  `newIPHourlyDataLogIterable(ParameterMap setup, String key, int sourceId, List<Calendar> hours)`
  Создает новый iterable по часовым логам

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IPDataLogUtils

    public IPDataLogUtils()

- ## Method Details

  - ### newIPHourlyDataLogIterable

    public static Iterable<ru.bitel.bgbilling.kernel.network.datalog.hourly.IPHourlyDataLog> newIPHourlyDataLogIterable(ParameterMap setup, int sourceId, Calendar hour1, Calendar hour2)
    Создает новый iterable по часовым логам
    Parameters:
      `setup` -
      `sourceId` -
      `hour1` - начало периода (включая)
      `hour2` - конец периода (включая)
    Returns:
      новый iterable по часовым логам

  - ### newIPHourlyDataLogIterable

    public static Iterable<ru.bitel.bgbilling.kernel.network.datalog.hourly.IPHourlyDataLog> newIPHourlyDataLogIterable(ParameterMap setup, String key, int sourceId, List<Calendar> hours)
    Создает новый iterable по часовым логам
    Parameters:
      `setup` -
      `sourceId` -
      `hours` - List часов, по которым будет идти iterator
    Returns:
      новый iterable по часовым логам

  - ### newFlowDetailIterable

    public static Iterable<FlowArray<IPDataLogUtils.FlowDetail>> newFlowDetailIterable(Iterable<ru.bitel.bgbilling.kernel.network.datalog.hourly.IPHourlyDataLog> logsIterable, FlowSelector selector, int maxSort)
    Создает новый `IPDataLogUtils.FlowDetail` Iterable по логам, с выборкой записей с помощью
    invalid reference

        RowSelector

    Parameters:
      `logsIterable` -
      `selector` -
    Returns:

  - ### newFlowReaderIterable

    public static Iterable<ru.bitel.bgbilling.kernel.network.datalog.FlowReader> newFlowReaderIterable(ParameterMap setup, int sourceId, Calendar hour1, Calendar hour2)

  - ### newFlowArrayIterable

    public static Iterable<FlowArray<? extends Data>> newFlowArrayIterable(ParameterMap setup, int sourceId, Calendar hour1, Calendar hour2)

  - ### newFlowArrayIterable

    public static Iterable<FlowArray<? extends Data>> newFlowArrayIterable(ParameterMap setup, int sourceId, Calendar hour)

  - ### main

    public static void main(String[] args)